2

I'm having trouble when running the .application file that should download and install Tridion template builder. I get this error:

ERROR SUMMARY

Below is a summary of the errors, details of these errors are listed later in the log. * Activation of C:\Users\qx477vz\Desktop\TcmTemplateBuilder.application resulted in exception. Following failure messages were detected: + Deployment and application do not have matching security zones.

This should work on Windows 10 x64 machines. Does anyone have a clue about what goes wrong?

Solved: I just had to access Tridion with Internet Explorer to download the Template Builder. Won't work on other browsers.

  • 1
    Did you use Internet Explorer to download and install? – Velmurugan May 30 '18 at 10:01
  • Thanks a lot Velmurugan! I didn't think that it was actually necessary to download the TcmTemplateBuilder.application file with Internet Explorer 11. – Hechss May 30 '18 at 12:54
  • 1
    Please feel free to accept the answer if that helps you fix your issue. – Velmurugan May 30 '18 at 13:10
1

Template Builder has the following prerequisites requirements:

Template Builder runs on any Microsoft Windows release supported by the Content Manager Explorer client.

.NET Framework

Template Builder requires one of the following Microsoft .NET Framework versions:

  • Microsoft .NET Framework 4.6.2
  • Microsoft .NET Framework 4.5.2 (deprecated)

Internet browser

Template Builder requires one of the following Web browsers:

  • Microsoft Internet Explorer 11.0 (recommended)
  • Microsoft Internet Explorer 10.0 (deprecated)

SDL Tridion docs reference Template Builder prerequisites

I hope it helps.

| improve this answer | |
6

For this, you need to understand the technology behind this.

The Installation of Templates Builder, Content Porter etc. from the Menu of CME is done through ClickOnce installer (which will check for the availability of the tool on your machine and either install it or run it if it is already installed - just with one click function) instead of by using the normal Windows Installer.

Now, The error is coming on Chrome and Firefox browser because these browser by default does not support ClickOnce Installers, whereas the Internet Explorer - the old guy - does still support the ClickOnce Installers - and so the installation or running of Template builders and like will work from Internet Explorer but not from Chrome or FireFox.

However, referring one of the comment in the question above, It is not entirely necessary to have Internet Explorer to do this, and you can even make Chrome and FireFox work for this scenario by having ClickOnce add-ons added to the browser. I used to have Meta4 ClickOnce launcher for Chrome and Firefox.

For FireFox: https://addons.mozilla.org/en-US/firefox/addon/meta4clickoncelauncher/?src=search

For Chrome: https://chrome.google.com/webstore/detail/meta4-clickonce-launcher/jkncabbipkgbconhaajbapbhokpbgkdc

| improve this answer | |
0

Instead of installing it every time, I've downloaded it from then Tridion installation and then installed it directly. Then it's always available from the Windows Start menu. I don't have to worry about which browser or which extension I'm using.

| improve this answer | |

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.